OS X: grassshell code causing build crash in trunk

2009-06-05 10:18 AM - John Tull

Status: Closed

Priority: Low

Assignee: nobody -

Category: Build/Install

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 11781

Description

The trunk source currently will not build on OS X due to an error in the grassshell code:

[ 87%] Building CXX object src/plugins/grass/CMakeFiles/grassplugin.dir/qgsgrassshell.o

/Users/jctull/sources/qgis/trunk/src/plugins/grass/qgsgrassshell.cpp:35: error: expected unqualified-id before ‘<<’ token

maker2: * [src/plugins/grass/CMakeFiles/grassplugin.dir/qgsgrassshell.o] Error 1

maker1:  [src/plugins/grass/CMakeFiles/grassplugin.dir/all] Error 2

make: ** [all] Error 2

History

#1 - 2009-06-05 10:43 AM - Jürgen Fischer

- Resolution set to invalid

- Status changed from Open to Closed

> [ 87%] Building CXX object src/plugins/grass/CMakeFiles/grassplugin.dir/qgsgrassshell.o

> /Users/jctull/sources/qgis/trunk/src/plugins/grass/qgsgrassshell.cpp:35: error: expected unqualified-id before ‘<<’ token

Probably invalid.  At least not reproducable here.

#2 - 2009-06-06 10:14 PM - John Tull

jef is correct. This was likely from some testing of that earlier grass shell dev work I did. Mea culpa.

2024-03-13 1/1


